
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-LEET-plugin
Summary:		Leet - Carefully crafted LADSPA plugins
Version:		0.2
Release:		pm152.1.7
License: GPL-2.0
Group:			Productivity/Multimedia/Sound/Utilities
Source:			http://leetplugins.googlecode.com/files/LEET-plugins-%{version}.tar.gz
URL:			http://code.google.com/p/leetplugins/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
Carefully crafted LADSPA plugins, reprogrammed from other plugins to
have 2 inputs and 2 outputs especially for use with ardour.

These are LADSPA plugins - audio effect plugins to make things sound
hip and savvy. I noticed a lack of certain plug-ins that were 2 in
and 2 out to use well with ardour 2.4, so I decided to rewrite some
existing plug-ins to do it. Notably missing was a good Equalizer, a
good chorus, and possibly some reverb.



%prep
%setup -q -n LEET-plugins-%{version}

%build
%__make all

%install
%makeinstall \
	INSTALL_PLUGINS_DIR="%{buildroot}%{_libdir}/ladspa" \
	INSTALL_LRDF_DIR="%{buildroot}%{_datadir}/ladspa/rdf"

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc COPYING README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*
%dir %{_datadir}/ladspa
%{_datadir}/ladspa/*

%changelog
* Wed Oct 22 2008 Toni Graffy <toni@links2linux.de> - 0.2-0.pm.1
- initial build 0.2
